Subject: Ri: RE: [Sip] SIP and Congestion Safety

From: [email-masked]
Date: Wed, 22 Jan 2003 09:30:55 +0100

Hi Hisham,

I've read your draft "draft-khartabil-sip-congestionsafe-ci-01.txt"
It's an interesting draft, but not cover all my questions.

In any case about your draft i've some observations:

in the section -5.0-
You write that the proxy affect for Congestion Safe in 3GPP architecture is S-CSCF.
I think that P-CSCF is the most critical Proxy.
This one is the closest proxy to the UA. And in a Visited UA
scenario, I think that it's preferable, for an Operator 3G, not forward information about his link capacity to another Operator 3G.
Morover I think that are also performance problem for which P-CSCF have know information about Max-Size SIP message that UAS can handle.

In the section 5.5. "Home Proxy Receiving 413 Response from UA"
What's advantage  for a UA to reject a request, also if is a large SIP request, when it's already received? When arrived to UA, the large message already has congestioned the link.

The main problem is avoided and prevent the congestion link.

Sal

> Please take a look at
> 
> http://www.ietf.org/internet-drafts/draft-khartabil-sip-congestionsafe-ci-01.txt
> 
> I'm planning to update this to include a UA posting (eg: contents for PUBLISH or MESSAGE).
> 
> Regards,
> Hisham
> 
> > -----Original Message-----
> > From: ext [email-masked] [mailto:[email-masked]]
> > Sent: Monday, January 20, 2003 7:55 PM
> > To: [email-masked]
> > Subject: [Sip] SIP and Congestion Safety
> > 
> > 
> > 
> > Hi all,
> > 
> > about SIP and Congetion Safety, i've observed there isn't a 
> > great interest.
> > 
> > I don't know why.
> > I think that will be a giant problem. 
> > 
> > And the mainly question for it is: what protocol use for 
> > transport SIP signals ???
> > 
> > 
> > others wg in IETF are working about congestion control 
> > algorithms for real-time 
> > or, more  generally,  delay sensitive applications... 
> > see DCCP (Datagram Congestion Control Protocol  -  
> http://www.ietf.org/html.charters/dccp-charter.html).
> 
> sometime ago there was a proposal about  SCTP use for Instant Messaging with SIP...
> 
> in other mail i read a proposal about Connection Transport Protocol as default protocol for SIP
> 
> in the "Session Initiation Protocol Extension to Assure Congestion Safety" draft-ietf-sip-congestsafe-00
> there's only a proposal for define and check a CONGESTION-SAFE hop... but it isn't enough 
> 
> 
> Sal
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

 Per registrarti gratuitamente a Vodafone Mail vai su www.190.it 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip